<html>

<body>
    <form id="myForm">
        First name:<br>
        <input type="text" name="firstname">
        <br>
        Last name:<br>
        <input type="text" name="lastname">
        <br>
        Nickname:<br>
        <input type="text" name="nickname">
        <br>
        Age:<br>
        <input type="text" name="age">
        <br>
        <br>
        <table style="text-align: center;">
            <tr>
                <th>Calculate grade</th>
                <th>Credit</th>
                <th>Grade</th>
            </tr>
            <tr>
                <td>Subject A</td>
                <td><input type="number" id="subjectA_credit" max="4" min="0"></td>
                <td><input type="number" id="subjectA_grade" max="4" min="0"></td>
            </tr>
            <tr>
                <td>Subject B</td>
                <td><input type="number" id="subjectB_credit" max="4" min="0"></td>
                <td><input type="number" id="subjectB_grade" max="4" min="0"></td>
            </tr>
            <tr>
                <td>Subject C</td>
                <td><input type="number" id="subjectC_credit" max="4" min="0"></td>
                <td><input type="number" id="subjectC_grade" max="4" min="0"></td>
            </tr>
            <tr>
                <td>Subject D</td>
                <td><input type="number" id="subjectD_credit" max="4" min="0"></td>
                <td><input type="number" id="subjectD_grade" max="4" min="0"></td>
            </tr>
        </table>
    </form>
    <button type="button" onclick="myFunction()">Submit</button>
    <button type="button" onclick="reset()">Reset</button>
    <br>
    <div id="resultData">
    </div>
    <script type="text/javascript">
        function myFunction() {
            document.getElementById("resultData").innerHTML = '<p id="resultName"></p><p id = "resultNickname" ></p><p id="resultAge"></p><p id="resultGpa"></p>';
            var name = document.forms["myForm"]["firstname"].value + " " + document.forms["myForm"]["lastname"].value
            var nickname = document.forms["myForm"]["nickname"].value;
            var age = document.forms["myForm"]["age"].value;
            var subjectA_grade = parseFloat(document.getElementById("subjectA_grade").value);
            var subjectB_grade = parseFloat(document.getElementById("subjectB_grade").value);
            var subjectC_grade = parseFloat(document.getElementById("subjectC_grade").value);
            var subjectD_grade = parseFloat(document.getElementById("subjectD_grade").value);

            var subjectA_credit = parseFloat(document.getElementById("subjectA_credit").value);
            var subjectB_credit = parseFloat(document.getElementById("subjectB_credit").value);
            var subjectC_credit = parseFloat(document.getElementById("subjectC_credit").value);
            var subjectD_credit = parseFloat(document.getElementById("subjectD_credit").value);
            if (subjectA_grade && subjectB_grade && subjectC_grade && subjectD_grade) {

                var totalCredit = subjectA_credit + subjectB_credit + subjectC_credit + subjectD_credit;
                var totalGrade = (subjectA_grade * subjectA_credit) + (subjectB_grade * subjectB_credit) + (subjectC_grade * subjectC_credit) + (subjectD_grade * subjectD_credit);

                document.getElementById("resultName").innerHTML = "Name: " + name;
                document.getElementById("resultNickname").innerHTML = "Nickname: " + nickname;
                document.getElementById("resultAge").innerHTML = "Age: " + age;

                document.getElementById("resultGpa").innerHTML = "GPA: " + (totalGrade / totalCredit);
            } else
                alert("Please input all Subject");
        }
        function reset() {
            document.getElementById("myForm").reset();
            document.getElementById("resultData").innerHTML = "";
        }
    </script>
</body>

</html>